%define LANG de
%define version 0.2
%define release 5mdk

Summary: German man (manual) pages from the Linux Documentation Project.
Summary(de): Deutsche Man-Pages (Handbuch) vom Linux-Documentation Projekt.
Name: man-pages-%{LANG}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: Documentation
Source: ftp://ftp.Infodrom.North.DE/pub/Linux/Devel/man-de-%{version}.tar.bz2  
Source1: makewhatis.%{LANG}.bz2
Icon: books-%{LANG}.gif
URL: http://www.Infodrom.North.DE/Linux/manpages-de/
Buildroot: /var/tmp/man-pages-%{LANG}
Autoreqprov: false
BuildArchitectures: noarch
Obsoletes: man-%{LANG}, manpages-%{LANG}
Provides: man-%{LANG}

%description
A large collection of man pages (reference material) from the Linux 
Documentation Project (LDP), translated to German.  The man pages are
organized into the following sections:

        Section 1:  User commands (intro only)
        Section 2:  System calls
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, /etc/passwd,
                nfs)
        Section 6:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)

%description -l de
Eine groe Sammlung deutscher man-pages (Handbuch) von Linux-Documentation
Projekt (LDP). Die man-pages sind in die folgenden Abschnitte unterteilt:

        Abschnitt 1:  Benutzer-Befehle (nur Einfhrung)
        Abschnitt 2:  System-Aufrufe
        Abschnitt 3:  libc-Aufrufe
        Abschnitt 4:  Gerte (z.B., hd, sd)
        Abschnitt 5:  Dateiformate und Protokolle (z.B., wtmp, /etc/passwd,
                      nfs)
        Abschnitt 6:  Spiele (nur Einfhrung)
        Abschnitt 7:  Konventionen, Makro-Pakete, usw. (z.B., nroff, ascii)
        Abschnitt 8:  Systemadministration (nur Einfhrung)

%prep
%setup -n manpages-%{LANG}
%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man/%{LANG}/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT/var/catman/%{LANG}/cat{1,2,3,4,5,6,7,8,9,n}

for i in 1 2 3 4 5 6 7 8; do
	cp -avrf man$i $RPM_BUILD_ROOT/usr/man/%{LANG}/
done

find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;

mkdir -p $RPM_BUILD_ROOT/usr/local/sbin
bzcat $RPM_SOURCE_DIR/makewhatis.%{LANG}.bz2 > \
        $RPM_BUILD_ROOT/usr/local/sbin/makewhatis.%{LANG}
chmod a+rx $RPM_BUILD_ROOT/usr/local/sbin/makewhatis.%{LANG}

$RPM_BUILD_ROOT/usr/local/sbin/makewhatis.%{LANG} \
        $RPM_BUILD_ROOT/usr/man/%{LANG}

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron << EOF
#!/bin/bash
/usr/local/sbin/makewhatis.%{LANG} /usr/man/%{LANG}
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron

%post
/etc/cron.weekly/makewhatis-%{LANG}.cron

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%{LANG}, if there isn't any man page
   ## directory /usr/man/%{LANG}
   if [ ! -d /usr/man/%{LANG} ] ; then
       rm -rf /var/catman/%{LANG}
   fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGES README COPYRIGHT
%defattr(0644,root,man,2755)
%dir /usr/man/%{LANG}
/usr/man/%{LANG}/man*
%ghost /usr/man/%{LANG}/whatis
%attr(775,root,man)/var/catman/%{LANG}
%attr(755,root,root)/usr/local/sbin/makewhatis.%{LANG}
%config %attr(755,root,root)/etc/cron.weekly/makewhatis-%{LANG}.cron

%changelog

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- included some nice improvements from man-pages-pl

* Wed Jul  7 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed the name from man-de to man-pages-de, to make it consistent
  with the english man pages package.
- merged with the rpm package I mantained before; that is I added an icon,
  the /var/catman/de tree, a makewhatis.de script, and a cron entry to run it

* Tue Apr 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Initial version.
- Add a script for /etc/man.config

